Issue 48600

Summary: RTF: regression from 1.0 to 1.1 still in 2.0
Product: Writer Reporter: caolanm
Component: codeAssignee: michael.ruess
Status: CLOSED FIXED QA Contact: issues <issues.openoffice.org>
Severity: trivial    
Priority: P3 CC: dan, issues
Version: OOo 2.0   
Target Milestone: ---   
Hardware: All   
OS: Linux   
Issue Type: PATCH Latest Confirmation on: ---
Developer Difficulty: ---
Attachments:
Description Flags
source document
none
the fix none

Description caolanm 2005-05-03 10:31:01 UTC
Basically in the ooo rtf filter the rule should be that "he who reads the {
reads the }", so reading the matching } in a submethod to hide it from the
parent which read the { is bad, as would be leaving a } for a parent to read
whose matching { was read in a submethod is also bad. Attached is a demo rtf
which shows a problem which didn't exist in 1.0 which is there in 1.2 and still
in 2.0. 

Also attached is what is IMO the best fix under the circumstances.
Comment 1 caolanm 2005-05-03 10:31:45 UTC
Created attachment 25743 [details]
source document
Comment 2 caolanm 2005-05-03 10:32:41 UTC
Created attachment 25744 [details]
the fix
Comment 3 michael.ruess 2005-05-03 10:53:03 UTC
MRU->FLR: for you. The text in the RTF is not visible.
Comment 4 flr 2005-08-17 17:43:26 UTC
Applied in cws javapatch.
Comment 5 michael.ruess 2005-11-09 14:24:13 UTC
Reassigned to MRU for verification in CWS.

re-open issue and reassign to mru@openoffice.org
Comment 6 michael.ruess 2005-11-09 14:24:20 UTC
reassign to mru@openoffice.org
Comment 7 michael.ruess 2005-11-09 14:24:23 UTC
reset resolution to FIXED
Comment 8 michael.ruess 2005-11-09 14:25:36 UTC
Verified fix in CWS javapatch.
Comment 9 michael.ruess 2005-11-17 11:25:44 UTC
Checked fix in build 680m140.